package Dining_Philosophers is

   Diners              : constant Positive := 5;
   Non_Existent_Holder : constant Positive := Diners + 1;
   --  we will use a modular type (i.e. a type with
   --+ modular arithmetic), with values in the range
   --+ 0 .. 4
   type Position_T is mod Diners;

   type Holder_T is new Natural range Natural
     (Position_T'First) .. Non_Existent_Holder;

   task type Philosopher
     (My_Position : Position_T;
      Think_Load  : Positive;
      Some_Time   : Positive) is
   end Philosopher;

   procedure Status_Check (Identity : Positive);

end Dining_Philosophers;
